The current version of Logger Pro, version 3.15 is 64 bit and will run on macOS 10.15 Catalina. However, we have made earlier versions of Logger Pro for macOS that were 32 bit.

If you are specifically seeing messages about Logger Pro not being 64 bit, that means you are running an older version of Logger Pro, and you should install the update, here:
https://www.vernier.com/support/updates/logger-pro/

See also:
Are your apps supported in macOS 10.15 Catalina?
macOS gives a message on launch of Logger Pro that "Logger Pro has not been optimized for your Mac"